Debian Bug report logs - #659083
RFS: xmoto/0.5.9+dfsg-1 -- 2D motocross platform game

Package: sponsorship-requests; Maintainer for sponsorship-requests is Debian Mentors <package-sponsorship-requests@lists.debian.org>;

Reported by: Stephen Kitt <steve@sk2.org>

Date: Wed, 8 Feb 2012 07:48:01 UTC

Severity: normal

Done: Bart Martens <bartm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659083; Package sponsorship-requests. (Wed, 08 Feb 2012 07:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
New Bug report received and forwarded. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 08 Feb 2012 07:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: submit@bugs.debian.org
Subject: RFS: xmoto -- 2D motocross platform game
Date: Wed, 8 Feb 2012 08:36:17 +0100
[Message part 1 (text/plain, inline)]
Package: sponsorship-requests
Severity: normal

Dear mentors,

I am looking for a sponsor for my package "xmoto".

The changelog is as follows:

xmoto (0.5.9-1) unstable; urgency=low

  * New upstream release (closes: #644234):
    + builds with libpng 1.5 (closes: #649797);
    + uses libxml2;
    + uses DejaVuSansMono (add link and make ttf-dejavu-core a dependency
      of xmoto-data).
  * Update patches:
    + fix_segfault.patch: refresh, add DEP-3 header;
    + desktop.patch: re-apply, add German translation (closes: #641822).
  * Switch to dh 9 with simple rules.
  * Use source format "3.0 (quilt)".
  * Add ${misc:Depends} where appropriate.
  * Patch the manpage to fix hyphens and a few spelling mistakes.
  * Add myself to uploaders.
  * Update debian/copyright.
  * Standards-Version 3.9.2 (no further change required).
  * Fix spelling mistakes spotted by Lintian.

 -- Stephen Kitt <steve@sk2.org>  Mon, 05 Dec 2011 22:55:45 +0100

(The date isn't a mistake, it's been sitting for a while on
mentors.debian.net.)

To access further information about this package, please visit the following
URL:

  http://mentors.debian.net/package/xmoto

Alternatively, one can download the package with dget using this command:

  dget -x http://mentors.debian.net/debian/pool/main/x/xmoto/xmoto_0.5.9-1.dsc

I would be glad if someone uploaded this package for me.

Kind regards,

Stephen Kitt
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659083; Package sponsorship-requests. (Sun, 26 Feb 2012 14:54:52 GMT) Full text and rfc822 format available.

Message #8 received at 659083@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Stephen Kitt <steve@sk2.org>
Cc: 659083@bugs.debian.org
Subject: Re: Bug#659083: RFS: xmoto -- 2D motocross platform game
Date: Sun, 26 Feb 2012 15:52:56 +0100
tag 659083 + moreinfo
thanks

Hi,

Stephen Kitt <steve@sk2.org> writes:
>   dget -x http://mentors.debian.net/debian/pool/main/x/xmoto/xmoto_0.5.9-1.dsc

You do not include the full license text for src/glext.h in the
copyright information.

Have the patches been forwarded upstream?

You use debhelper compat level 9, so why don't you build-depend on
debhelper (>= 9)?

Please update at least config.{guess,sub}, see [1] for details, or just
use dh-autoreconf (my personal preference).

The source for bin/xmoto.bin seems to be missing, compare with
upstream's SVN repository[2].  I have filed a bug[3] as it is also
the case for the version currently inthe archive.  Please ask upstream
to include the source and ideally built xmoto.bin instead of including
it, see also [4] for more details.

Regards,
Ansgar

[1] <file:///usr/share/doc/autotools-dev/README.Debian.gz>
[2] <http://svn.tuxfamily.org/viewvc.cgi/xmoto_xmoto/trunk/bin/>
[3] <http://bugs.debian.org/661340>
[4] <http://www.freedesktop.org/wiki/Games/Upstream#Source>




Added tag(s) moreinfo. Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Sun, 26 Feb 2012 14:54:54 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659083; Package sponsorship-requests. (Tue, 06 Mar 2012 00:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 06 Mar 2012 00:09:10 GMT) Full text and rfc822 format available.

Message #15 received at 659083@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 659083@bugs.debian.org
Subject: Re: Bug#659083: RFS: xmoto -- 2D motocross platform game
Date: Tue, 6 Mar 2012 01:06:22 +0100
[Message part 1 (text/plain, inline)]
Hi Ansgar,

On Sun, 26 Feb 2012 15:52:56 +0100, Ansgar Burchardt <ansgar@debian.org>
wrote:
> You do not include the full license text for src/glext.h in the
> copyright information.
> 
> Have the patches been forwarded upstream?
> 
> You use debhelper compat level 9, so why don't you build-depend on
> debhelper (>= 9)?
> 
> Please update at least config.{guess,sub}, see [1] for details, or just
> use dh-autoreconf (my personal preference).
> 
> The source for bin/xmoto.bin seems to be missing, compare with
> upstream's SVN repository[2].  I have filed a bug[3] as it is also
> the case for the version currently inthe archive.  Please ask upstream
> to include the source and ideally built xmoto.bin instead of including
> it, see also [4] for more details.

Thanks for the review, I'll update the package as appropriate once I have a
little more time (in a couple of weeks).

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659083; Package sponsorship-requests. (Sun, 22 Apr 2012 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 22 Apr 2012 22:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 659083@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 659083@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#659083: RFS: xmoto -- 2D motocross platform game
Date: Mon, 23 Apr 2012 00:54:41 +0200
[Message part 1 (text/plain, inline)]
tag 659083 - moreinfo
thanks

Hi Ansgar,

It's been ages, but I've finally finished getting everything ready.

On Sun, 26 Feb 2012 15:52:56 +0100, Ansgar Burchardt <ansgar@debian.org>
wrote:
> Stephen Kitt <steve@sk2.org> writes:
> >   dget -x
> > http://mentors.debian.net/debian/pool/main/x/xmoto/xmoto_0.5.9-1.dsc
> 
> You do not include the full license text for src/glext.h in the
> copyright information.

I should have noticed that... It was actually not DFSG-free, but it's easy
enough to patch out so I've repacked the upstream tarball without it (and
with the small, necessary patch; I added a README.dfsg file to explain
everything). I filed a bug upstream too.

> Have the patches been forwarded upstream?

They have now, see the updated patch headers for details.

> You use debhelper compat level 9, so why don't you build-depend on
> debhelper (>= 9)?

When I initially switched to compat level 9, debhelper 9 wasn't available
yet. I changed the build-dependency to (>= 9).

> Please update at least config.{guess,sub}, see [1] for details, or just
> use dh-autoreconf (my personal preference).

I like dh-autoreconf too, that's what I went for.

> The source for bin/xmoto.bin seems to be missing, compare with
> upstream's SVN repository[2].  I have filed a bug[3] as it is also
> the case for the version currently inthe archive.  Please ask upstream
> to include the source and ideally built xmoto.bin instead of including
> it, see also [4] for more details.

Indeed; I took the opportunity of repacking the upstream tarball to add the
missing files and remove xmoto.bin. (The resulting build still produces an
identical xmoto.bin.) I also forwarded your bug upstream.

All this (and more) is available in the subversion repository and at
http://mentors.debian.net/debian/pool/main/x/xmoto/xmoto_0.5.9+dfsg-1.dsc

The changelog is as follows:

xmoto (0.5.9+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #644234):
    + builds with libpng 1.5 (closes: #649797);
    + uses libxml2;
    + uses DejaVuSansMono (add link and make ttf-dejavu-core a dependency
      of xmoto-data).
  * Repacked to avoid licensing problems:
    + remove src/glext.h, licensed under SGI License B version 1.1;
    + add the missing contents in bin (closes: #661340).
    (I'm hoping that both issues will be fixed upstream, so I haven't
    added a get-orig-source target to debian/rules. README.dfsg in the
    repacked source explains the changes.)
  * Update debian/watch accordingly.
  * Update patches:
    + fix_segfault.patch: refresh, add DEP-3 header, forward upstream;
    + desktop.patch: re-apply, add German translation (closes: #641822),
      forward upstream;
    + spelling.patch: refresh, forward upstream;
    + manpage.patch: forward upstream;
    + gcc44-ftbfs.patch: no longer used, delete.
  * Switch to dh 9 with simple rules.
  * Use source format "3.0 (quilt)".
  * Add ${misc:Depends} where appropriate.
  * Patch the manpage to fix hyphens and a few spelling mistakes.
  * Add myself to uploaders.
  * Update debian/copyright.
  * Standards-Version 3.9.3 (no further change required).
  * Fix spelling mistakes spotted by Lintian.
  * Use dh-autoreconf to update config.{guess,sub} (thanks to Ansgar
    Burchardt for the hint).
  * wrap-and-sort control files.
  * Build-depend on libpng-dev only, dropping the libpng12-dev alternative
    (closes: #662565).
  * Fix "ftbfs with GCC-4.7" by including unistd.h where appropriate
    (closes: #667422; thanks to Cyril Brulebois for his patch for another
    gcc-4.7-related issue, which was already included upstream).
  * Fix the Vcs-Browser URL.

 -- Stephen Kitt <steve@sk2.org>  Mon, 23 Apr 2012 00:19:42 +0200

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Removed tag(s) moreinfo. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sun, 22 Apr 2012 22:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659083; Package sponsorship-requests. (Sun, 06 May 2012 22:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 06 May 2012 22:06:05 GMT) Full text and rfc822 format available.

Message #27 received at 659083@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 659083@bugs.debian.org, 659083-submitter@bugs.debian.org
Subject: re: RFS: xmoto -- 2D motocross platform game
Date: Sun, 6 May 2012 18:04:17 -0400
Hi,

I just reviewed this package.  It looks good except for a couple issues:

1.  bin/credits.rpl seems to be a binary file in the repacked upstream
source (there may be others, but I stopped at that one)
2.  I'm not sure that it's good practice to apply the patch directly
within the upstream orig file.  It would be better to do that via
quilt.  You probably did that to make sure that the orig would be
buildable by itself, but that isn't necessary.

Best wishes,
Mike




Message sent on to Stephen Kitt <steve@sk2.org>:
Bug#659083. (Sun, 06 May 2012 22:06:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659083; Package sponsorship-requests. (Sun, 06 May 2012 23:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 06 May 2012 23:03:06 GMT) Full text and rfc822 format available.

Message #35 received at 659083@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Michael Gilbert <mgilbert@debian.org>
Cc: 659083@bugs.debian.org
Subject: Re: Bug#659083: RFS: xmoto -- 2D motocross platform game
Date: Mon, 7 May 2012 01:01:37 +0200
Hi Mike,

On Sun, May 06, 2012 at 06:04:17PM -0400, Michael Gilbert wrote:
> I just reviewed this package.  It looks good except for a couple issues:

Thanks for taking a look at this.

> 1.  bin/credits.rpl seems to be a binary file in the repacked upstream
> source (there may be others, but I stopped at that one)

Apart from the various .ogg files and the .ttf files for DejaVu,
that's the only binary left. It's a replay of a level in the game, so
there is no appropriate form for modification - it was recorded using
the game and is not generated...

> 2.  I'm not sure that it's good practice to apply the patch directly
> within the upstream orig file.  It would be better to do that via
> quilt.  You probably did that to make sure that the orig would be
> buildable by itself, but that isn't necessary.

That is indeed why I did it. I'll fix it once I get wine-gecko done!

Regards,

Stephen




Changed Bug title to 'RFS: xmoto/0.5.9+dfsg-1 -- 2D motocross platform game' from 'RFS: xmoto -- 2D motocross platform game' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sat, 12 May 2012 15:21:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659083; Package sponsorship-requests. (Wed, 23 May 2012 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 23 May 2012 18:57:02 GMT) Full text and rfc822 format available.

Message #42 received at 659083@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Stephen Kitt <steve@sk2.org>
Cc: Michael Gilbert <mgilbert@debian.org>, 659083@bugs.debian.org
Subject: Re: Bug#659083: RFS: xmoto -- 2D motocross platform game
Date: Wed, 23 May 2012 20:52:19 +0200
[Message part 1 (text/plain, inline)]
Hi Mike,

On Mon, 7 May 2012 01:01:37 +0200, Stephen Kitt <steve@sk2.org> wrote:
> On Sun, May 06, 2012 at 06:04:17PM -0400, Michael Gilbert wrote:
> > I just reviewed this package.  It looks good except for a couple issues:
> 
> Thanks for taking a look at this.
> 
> > 1.  bin/credits.rpl seems to be a binary file in the repacked upstream
> > source (there may be others, but I stopped at that one)
> 
> Apart from the various .ogg files and the .ttf files for DejaVu,
> that's the only binary left. It's a replay of a level in the game, so
> there is no appropriate form for modification - it was recorded using
> the game and is not generated...
> 
> > 2.  I'm not sure that it's good practice to apply the patch directly
> > within the upstream orig file.  It would be better to do that via
> > quilt.  You probably did that to make sure that the orig would be
> > buildable by itself, but that isn't necessary.
> 
> That is indeed why I did it. I'll fix it once I get wine-gecko done!

I've uploaded a fixed package to http://mentors.debian.net/package/xmoto and
pushed the changes to the svn repository:
* I've repacked the tarball, the only change now is the removal of glext.h; I
  left the added files in the bin folder out since they can be reconstructed
  byte-for-byte using "xmoto --unpack" (and I've added a README.source
  explaining this);
* the patch required to build as a result of removing glext.h is now applied
  as a Debian patch;
* I added DMUA as you suggested.

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Sat, 26 May 2012 04:39:04 GMT) Full text and rfc822 format available.

Notification sent to Stephen Kitt <steve@sk2.org>:
Bug acknowledged by developer. (Sat, 26 May 2012 04:39:04 GMT) Full text and rfc822 format available.

Message #47 received at 659083-done@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 659083-done@bugs.debian.org
Subject: tomoyo-tools 2.5.0-20120414-1 is in unstable
Date: Sat, 26 May 2012 04:36:57 +0000




Bug reopened Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sat, 26 May 2012 05:45:12 GMT) Full text and rfc822 format available.

Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Sat, 26 May 2012 06:21:06 GMT) Full text and rfc822 format available.

Notification sent to Stephen Kitt <steve@sk2.org>:
Bug acknowledged by developer. (Sat, 26 May 2012 06:21:06 GMT) Full text and rfc822 format available.

Message #54 received at 659083-done@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 659083-done@bugs.debian.org
Subject: closing RFS: xmoto/0.5.9+dfsg-1 -- 2D motocross platform game
Date: Sat, 26 May 2012 06:18:30 +0000
Package xmoto version 0.5.9+dfsg-1 is in unstable now.
http://packages.qa.debian.org/xmoto
http://packages.qa.debian.org/x/xmoto/news/20120526T013353Z.html




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jun 2012 07:50:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:22:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.